package com.dcsoft.system.face.mapper;

import java.util.List;
import com.dcsoft.system.api.domain.SysAuth;

/**
 * 认证数据Mapper接口
 *
 * @author nichun
 * @date 2023-03-29
 */
public interface SysAuthMapper
{
    /**
     * 查询认证数据
     *
     * @param appKey 认证数据主键
     * @return 认证数据
     */
    public SysAuth selectSysAuthById(String appKey);

    /**
     * 查询认证数据列表
     *
     * @param sysAuth 认证数据
     * @return 认证数据集合
     */
    public List<SysAuth> selectSysAuthList(SysAuth sysAuth);

    /**
     * 新增认证数据
     *
     * @param sysAuth 认证数据
     * @return 结果
     */
    public int insertSysAuth(SysAuth sysAuth);

    /**
     * 修改认证数据
     *
     * @param sysAuth 认证数据
     * @return 结果
     */
    public int updateSysAuth(SysAuth sysAuth);

    /**
     * 删除认证数据
     *
     * @param id 认证数据主键
     * @return 结果
     */
    public int deleteSysAuthById(Long id);

    /**
     * 批量删除认证数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysAuthByIds(Long[] ids);
}
